com.google.protobuf

## Interface Internal.EnumLite

- All Known Subinterfaces:
    ProtocolMessageEnum
  All Known Implementing Classes:
    DescriptorProtos.FieldDescriptorProto.Label, DescriptorProtos.FieldDescriptorProto.Type, DescriptorProtos.FieldOptions.CType, DescriptorProtos.FieldOptions.JSType, DescriptorProtos.FileOptions.OptimizeMode, DescriptorProtos.MethodOptions.IdempotencyLevel, Descriptors.EnumValueDescriptor
  Enclosing class:
    Internal

      public static interface Internal.EnumLite

  Interface for an enum value or value descriptor, to be used in FieldSet. The lite library stores enum values directly in FieldSets but the full library stores EnumValueDescriptors in order to better support reflection.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumber()`

- - ### Method Detail

    - #### getNumber

          int getNumber()